Get GitRepo configuration by ID
GET /api/v1/cluster/instances/kubernetes/gitrepos/id/. Kubernetes API reference.
curl --request GET \
--url https://{apiHost}/api/v1/cluster/instances/kubernetes/gitrepos/id/{gitrepoId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/cluster/instances/kubernetes/gitrepos/id/{gitrepoId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/cluster/instances/kubernetes/gitrepos/id/{gitrepoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"title": "<string>",
"description": "<string>",
"workspace": "<string>",
"data": {
"projectId": "<string>",
"repoDetails": {
"url": "<string>",
"branch": "<string>",
"commit": "<string>",
"pathList": [
"<string>"
]
},
"target": {
"type": "GIT_REPO_TARGET_TYPE_UNKNOWN",
"value": "<string>"
},
"auth": {
"encodedCertificates": "<string>",
"insecureSkipTlsVerify": true,
"git": {
"secret": {
"type": "SECRET_TYPE_UNSPECIFIED",
"name": "<string>"
}
},
"helm": {
"secret": {
"type": "SECRET_TYPE_UNSPECIFIED",
"name": "<string>"
},
"helmRepoUrlRegex": "<string>"
}
}
},
"status": {
"display": {
"readyBundleDeployments": "<string>",
"state": "<string>"
},
"conditions": [
{
"type": "<string>",
"status": "<string>",
"error": true,
"transitioning": true,
"message": "<string>",
"lastUpdateTime": "<string>"
}
],
"resourceCounts": {
"desiredReady": 123,
"missing": 123,
"modified": 123,
"notReady": 123,
"orphaned": 123,
"ready": 123,
"unknown": 123,
"waitApplied": 123
},
"resourceStatusMap": [
{
"apiVersion": "<string>",
"kind": "<string>",
"name": "<string>",
"namespace": "<string>",
"state": "<string>"
}
],
"state": {
"error": true,
"message": "<string>",
"name": "<string>",
"transitioning": true
},
"summary": {}
},
"events": [
{
"reason": "<string>",
"type": "<string>",
"message": "<string>",
"lastUpdateTime": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>"
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Authorizations
Bearer token for the ZedCloud gateway user session
Headers
User-Agent specified id to track a request
Path Parameters
Unique identifier of the GitRepo (required). Example: 'gitrepo-abc123'
Response
Successfully retrieved GitRepo configuration
Complete response for GitRepo GET operations including metadata, specification, and status
Unique identifier of the GitRepo
Name of the GitRepo configuration
Display title of the GitRepo configuration
Description of the GitRepo configuration
Workspace where the GitRepo is deployed
Specification details
Show child attributes
Show child attributes
Current status information
Show child attributes
Show child attributes
List of events related to the GitRepo
Show child attributes
Show child attributes
Timestamp when the GitRepo was created
Timestamp when the GitRepo was last updated
User who created the GitRepo
User who last updated the GitRepo
Was this page helpful?
curl --request GET \
--url https://{apiHost}/api/v1/cluster/instances/kubernetes/gitrepos/id/{gitrepoId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/cluster/instances/kubernetes/gitrepos/id/{gitrepoId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/cluster/instances/kubernetes/gitrepos/id/{gitrepoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"title": "<string>",
"description": "<string>",
"workspace": "<string>",
"data": {
"projectId": "<string>",
"repoDetails": {
"url": "<string>",
"branch": "<string>",
"commit": "<string>",
"pathList": [
"<string>"
]
},
"target": {
"type": "GIT_REPO_TARGET_TYPE_UNKNOWN",
"value": "<string>"
},
"auth": {
"encodedCertificates": "<string>",
"insecureSkipTlsVerify": true,
"git": {
"secret": {
"type": "SECRET_TYPE_UNSPECIFIED",
"name": "<string>"
}
},
"helm": {
"secret": {
"type": "SECRET_TYPE_UNSPECIFIED",
"name": "<string>"
},
"helmRepoUrlRegex": "<string>"
}
}
},
"status": {
"display": {
"readyBundleDeployments": "<string>",
"state": "<string>"
},
"conditions": [
{
"type": "<string>",
"status": "<string>",
"error": true,
"transitioning": true,
"message": "<string>",
"lastUpdateTime": "<string>"
}
],
"resourceCounts": {
"desiredReady": 123,
"missing": 123,
"modified": 123,
"notReady": 123,
"orphaned": 123,
"ready": 123,
"unknown": 123,
"waitApplied": 123
},
"resourceStatusMap": [
{
"apiVersion": "<string>",
"kind": "<string>",
"name": "<string>",
"namespace": "<string>",
"state": "<string>"
}
],
"state": {
"error": true,
"message": "<string>",
"name": "<string>",
"transitioning": true
},
"summary": {}
},
"events": [
{
"reason": "<string>",
"type": "<string>",
"message": "<string>",
"lastUpdateTime": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>"
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}